
Infrastructure - Bug #7171

v2.0 documentation inconsistencies

2015-06-08 22:54 - Rob Nahf

Status: Closed Start date: 2015-06-09

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Architecture Design Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

From running Architecture tests in d1_integration:

1. MN and CN getLogRecords in the documentation are describing the event parameter as type Event, instead of String (changed

for V2)

2. listObjects number of parameters? -3. CN.search - queryType should be in path, not specified in implementation-

3. CN.updateAccount, expects 3 parameters, got 2

4. CN.updateSystemMetadata - probable problem with building parameters... -6. MN.view / CN.view - parameter 'theme' is not in

the expected location (path).

5. CN.getPackage - parameter 'packageType' is not in expected location (path).-

problems could be either in the documentation or the implementation.

Subtasks:

Task # 7172: modify updateSystemMetadata documentation Closed

Task # 7173: modify getLogRecords documentation / Event type for v2 Closed

Task # 7174: MN.listObjects documentation is inconsistent regarding replicationStatus p... Closed

Task # 7182: CN.Diagnostic documentation contains mime part mistakes Closed

Related issues:

Related to DataONE API - Story #7185: Finalize API Documentation Closed 2015-06-16

Associated revisions

Revision 15753 - 2015-06-09 22:33 - Rob Nahf

refs:#7171.  fixes to ClientArchitectureConformityIT.

Revision 15753 - 2015-06-09 22:33 - Rob Nahf

refs:#7171.  fixes to ClientArchitectureConformityIT.

Revision 15779 - 2015-06-12 22:18 - Rob Nahf

refs: #7171:  updates to MethodCrossReference.xls as described in the redmine bug.

Revision 15781 - 2015-06-13 16:19 - Rob Nahf

refs #7171: applied missed documentation changes.

History

#1 - 2015-06-09 15:40 - Rob Nahf

- Description updated

#2 - 2015-06-09 20:30 - Rob Nahf

- Description updated
CN.view, MN.view, CN.search, and MN.getPackage are all ok - the test didn't know how to find method parameters when they were not at the end of

the path.

#3 - 2015-06-16 15:14 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.0-TRUNK

#4 - 2015-06-16 15:14 - Dave Vieglais

- Related to Story #7185: Finalize API Documentation added

#5 - 2015-07-01 16:22 - Dave Vieglais

- Target version changed from CCI-2.0-TRUNK to CCI-2.0.0

#6 - 2015-07-01 16:47 - Dave Vieglais

- Status changed from New to In Progress

- % Done changed from 0 to 30

#7 - 2016-03-25 02:04 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
